### Method

# Camel MessageInfo dup_user_tags

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_message_info_dup_user_tags (
      const CamelMessageInfo* mi
    )

#### Description

No description available.

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

A newly allocated `CamelNameValueArray` containing all set user tags of the `mi`. Free it with `camel_name_value_array_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.